﻿-- Locale
local AceLocale = LibStub:GetLibrary("AceLocale-3.0");
local AL = AceLocale:NewLocale("RareScanner", "itIT", false);

if AL then
	-- UI strings
	AL["CHECK_MAP"] = "Check your map!";
	AL["UNKNOWN_TARGET"] = "Unknown target";
	AL["JUST_SPAWNED"] = " just showed up";
	AL["NOT_TARGETEABLE"] = "Not targeteable";
	AL["CLICK_TARGET"] = "Click to target NPC";
	AL["ALARM_MESSAGE"] = "A rare NPC just showed up, check your map!";
	
	-- UI config panel
	AL["GENERAL_OPTIONS"] = "General options";
	AL["ENABLE_SCAN_RARES"] = "Toggle searching rare NPCs";
	AL["ENABLE_SCAN_RARES_DESC"] = "When this is activated you will be warned visually and with a sound everytime a rare NPC shows up in your minimap";
	AL["ENABLE_SCAN_CONTAINERS"] = "Toggle searching treasures or chests";
	AL["ENABLE_SCAN_CONTAINERS_DESC"] = "When this is activated you will be warned visually and with a sound everytime a treasure or chest shows up in your minimap";
	AL["ENABLE_SCAN_EVENTS"] = "Toggle searching events";
	AL["ENABLE_SCAN_EVENTS_DESC"] = "When this is activated you will be warned visually and with a sound everytime an event shows up in your minimap";
	AL["SOUND"] = "Sound";
	AL["SOUND_OPTIONS"] = "Sound options";
	AL["ALARM_SOUND"] = "Warning sound";
	AL["ALARM_SOUND_DESC"] = "Sound played when a rare NPC, treasure/chest or event shows up in your minimap";
	AL["DISPLAY"] = "Display";
	AL["DISPLAY_OPTIONS"] = "Display options";
	AL["DISPLAY_BUTTON"] = "Toggle showing the button and the miniature";
	AL["DISPLAY_BUTTON_DESC"] = "When disabled the button and the miniature won't be shown again. It doesn't affect the alarm sound and the chat alerts.";
	AL["AUTO_HIDE_BUTTON"] = "Autohide button and miniature";
	AL["AUTO_HIDE_BUTTON_DESC"] = "Hides the button and the miniature automatically after the time selected (in seconds). If you select zero seconds the button and the miniature won't autohide.";
	AL["SHOW_CHAT_ALERT"] = "Toggle showing chat alerts";
	AL["SHOW_CHAT_ALERT_DESC"] = "Shows a private message in the chat every time a treasure, chest or NPC is found.";
	
	-- Rares Pandaria
	AL["Aeonaxx"] = 50062; --Aeonaxx
	AL["Aetha"] = 58778; --Aetha
	AL["Aethis"] = 50750; --Aethis
	AL["Ahone la Nomade"] = 50817; --Ahone the Wanderer
	AL["Ai-Li Specchio Celeste"] = 50821; --Ai-Li Skymirror
	AL["Ai-Ran Nube Mutevole"] = 50822; --Ai-Ran the Shifting Cloud
	AL["Al'tabim l'Onnisciente"] = 70000; --Al'tabim the All-Seeing
	AL["Ankha"] = 54318; --Ankha
	AL["Anthriss"] = 54338; --Anthriss
	AL["Gran Sacerdote delle Fiamme"] = 73666; --Archiereus of Flame
	AL["Arciritualista Kelada"] = 70243; --Archritualist Kelada
	AL["Arness la Scaglia"] = 50787; --Arness the Scale
	AL["Spaccaschiena Uru"] = 70001; --Backbreaker Uru
	AL["Bai-Jin il Macellaio"] = 58949; --Bai-Jin the Butcher
	AL["Ban'thalos"] = 54320; --Ban'thalos
	AL["Baolai l'Immolatore"] = 63695; --Baolai the Immolator
	AL["Zoccolo Nero"] = 51059; --Blackhoof
	AL["Morsocruento"] = 58474; --Bloodtip
	AL["Bonobos"] = 50828; --Bonobos
	AL["Borginn Pugnonero"] = 50341; --Borginn Darkfist
	AL["Bufo"] = 72775; --Bufo
	AL["Campione della Fiamma Nera"] = 73171; --Champion of the Black Flame
	AL["Chelon"] = 72045; --Chelon
	AL["Calcacenere"] = 73175; --Cinderfall
	AL["Cournith Calcalaghi"] = 50768; --Cournith Waterstrider
	AL["Zannafosca"] = 58768; --Cracklefang
	AL["Squartagru"] = 72049; --Cranegnasher
	AL["Dak il Distruttore"] = 50334; --Dak the Breaker
	AL["Dalan Spezzanotte"] = 68318; --Dalan Nightbreaker
	AL["Deth'tilac"] = 54322; --Deth'tilac
	AL["Disha Domapaura"] = 68319; --Disha Fearwarden
	AL["Dottor Theolen Krastinov"] = 59369; --Doctor Theolen Krastinov
	AL["Nave Fantasma Vazuvius"] = 73281; --Dread Ship Vazuvius
	AL["Gru di Smeraldo"] = 73158; --Emerald Gander
	AL["Eshelon"] = 50772; --Eshelon
	AL["Faucieterne"] = 73279; --Evermaw
	AL["Ferdinand"] = 51078; --Ferdinand
	AL["Visce'rok il Malato"] = 70429; --Flesh'rok the Diseased
	AL["Signore della Fornace Gairan"] = 73172; --Flintlord Gairan
	AL["Occhio Concentrato"] = 70249; --Focused Eye
	AL["Gaarn il Tossico"] = 50340; --Gaarn the Toxic
	AL["Gaohun il Tranciaspiriti"] = 62881; --Gaohun the Soul-Severer
	AL["Gar'lok"] = 50739; --Gar'lok
	AL["Garnia"] = 73282; --Garnia
	AL["Generale Temuja"] = 63101; --General Temuja
	AL["Strisciaombre"] = 50051; --Ghostcrawler
	AL["Go-Kan"] = 50331; --Go-Kan
	AL["Gochao l'Impavido"] = 62880; --Gochao the Ironfist
	AL["Colosso Divino Ramuk"] = 69999; --God-Hulk Ramuk
	AL["Goda"] = 69998; --Goda
	AL["Golganarr"] = 72970; --Golganarr
	AL["Grande Tartaruga Ardiguscio"] = 73161; --Great Turtle Furyshell
	AL["Gu'chi il Portatore dello Sciame"] = 72909; --Gu'chi the Swarmbringer
	AL["Havak"] = 50354; --Havak
	AL["Costrutto dei Predatori del Sole Fuori Controllo"] = 50358; --Haywire Sunreaver Construct
	AL["Huo-Shuang"] = 63691; --Huo-Shuang
	AL["Huolon"] = 73167; --Huolon
	AL["Iggo-Iggo lo Scaltro"] = 50836; --Ik-Ik the Nimble
	AL["Pitone Imperiale"] = 73163; --Imperial Python
	AL["Yak Cornoferreo"] = 73160; --Ironfur Steelhorn
	AL["Grinfiagiada"] = 49822; --Jadefang
	AL["Jakur degli Ordon"] = 73169; --Jakur of Ordon
	AL["Jonn-Dar"] = 50351; --Jonn-Dar
	AL["Kah'tir"] = 50355; --Kah'tir
	AL["Kal'tik la Piaga"] = 50749; --Kal'tik the Blight
	AL["Kang il Ladro d'Anime"] = 50349; --Kang the Soul Thief
	AL["Kar Plasmaguerra"] = 68321; --Kar Warmaker
	AL["Karkanos"] = 72193; --Karkanos
	AL["Karkin"] = 50959; --Karkin
	AL["Karoma"] = 50138; --Karoma
	AL["Karr l'Oscuratore"] = 50347; --Karr the Darkener
	AL["Kirix"] = 54323; --Kirix
	AL["Kor'nas Predanotte"] = 50338; --Kor'nas Nightsavage
	AL["Korda Torros"] = 50332; --Korda Torros
	AL["Krakkanon"] = 70323; --Krakkanon
	AL["Krax'ik"] = 50363; --Krax'ik
	AL["Kri'chon"] = 63978; --Kri'chon
	AL["Krol la Lama"] = 50356; --Krol the Blade
	AL["Ku'lai l'Artiglio Celeste"] = 69996; --Ku'lai the Skyclaw
	AL["Sanafoglia"] = 73277; --Leafmender
	AL["Lith'ik l'Inseguitore"] = 50734; --Lith'ik the Stalker
	AL["Lon il Toro"] = 50333; --Lon the Bull
	AL["Lu-Ban"] = 70002; --Lu-Ban
	AL["Magria"] = 54319; --Magria
	AL["Maggiore Nanners"] = 50840; --Major Nanners
	AL["Mavis Harms"] = 68317; --Mavis Harms
	AL["Signor Feroce"] = 50823; --Mister Ferocious
	AL["Moldo il Guercio"] = 50806; --Moldo One-Eye
	AL["Molthor"] = 70003; --Molthor
	AL["Monara"] = 70440; --Monara
	AL["Spinartiglio Mostruoso"] = 73166; --Monstrous Spineclaw
	AL["Morgrinn Zannalacera"] = 50350; --Morgrinn Crackfang
	AL["Muerta"] = 68322; --Muerta
	AL["Mumta"] = 69664; --Mumta
	AL["Nal'lak lo Squartatore"] = 50364; --Nal'lak the Ripper
	AL["Nalash Verdantis"] = 50776; --Nalash Verdantis
	AL["Nasra Manto Maculato"] = 50811; --Nasra Spothide
	AL["Nessos l'Oracolo"] = 50789; --Nessos the Oracle
	AL["Oratore delle Tempeste No'ku"] = 70276; --No'ku Stormsayer
	AL["Norlaxx"] = 50344; --Norlaxx
	AL["Omnis Grinlok"] = 50805; --Omnis Grinlok
	AL["Supremo Fendifuria"] = 50085; --Overlord Sunderfury
	AL["Principe Lakma"] = 54533; --Prince Lakma
	AL["Progenitus"] = 69997; --Progenitus
	AL["Qu'nas"] = 50352; --Qu'nas
	AL["Quid"] = 58771; --Quid
	AL["Ra'sha"] = 70530; --Ra'sha
	AL["Scricchiaossa"] = 72048; --Rattleskew
	AL["Guardingo Muschioso"] = 73157; --Rock Moss
	AL["Orrore di Roccia"] = 70430; --Rocky Horror
	AL["Ruun Zampa Chiara"] = 50816; --Ruun Ghostpaw
	AL["Sahn Cacciamaree"] = 50780; --Sahn Tidehunter
	AL["Esploratore da Guerra di Salyis"] = 50783; --Salyin Warscout
	AL["Sambas"] = 50159; --Sambas
	AL["Sarnak"] = 50782; --Sarnak
	AL["Scritch"] = 50831; --Scritch
	AL["Sele'na"] = 50766; --Sele'na
	AL["Maestro delle Ombre Sydow"] = 63240; --Shadowmaster Sydow
	AL["Siltriss l'Affilatore"] = 50791; --Siltriss the Sharpener
	AL["Skarr"] = 50815; --Skarr
	AL["Ski'thik"] = 50733; --Ski'thik
	AL["Balzafiamme"] = 54324; --Skitterflame
	AL["Solix"] = 54321; --Solix
	AL["Cavernoculus"] = 71864; --Spelurk
	AL["Spirito di Giadafulgida"] = 72769; --Spirit of Jadefire
	AL["Spirito di Lao-Fe"] = 58817; --Spirit of Lao-Fe
	AL["Spriggin"] = 50830; --Spriggin
	AL["Treccialorda"] = 73704; --Stinkbraid
	AL["Sulik'shor"] = 50339; --Sulik'shor
	AL["Tarvus il Vile"] = 50086; --Tarvus the Vile
	AL["L'Urlatore"] = 50832; --The Yowler
	AL["Torik-Ethis"] = 50388; --Torik-Ethis
	AL["Tsavo'ka"] = 72808; --Tsavo'ka
	AL["Ubunti l'Ombra"] = 68320; --Ubunti the Shade
	AL["Occhio Impassibile"] = 70238; --Unblinking Eye
	AL["Urdur il Cauterizzatore"] = 73173; --Urdur the Cauterizer
	AL["Urgolax"] = 50359; --Urgolax
	AL["Urobi il Camminatore"] = 50808; --Urobi the Walker
	AL["Morsovile"] = 58769; --Vicejaw
	AL["Vyraxxis"] = 63977; --Vyraxxis
	AL["Dio della Guerra Dokah"] = 70096; --War-God Dokah
	AL["Guardiano Osu"] = 73170; --Watcher Osu
	AL["Whizzig"] = 73293; --Whizzig
	AL["Willy Wilder"] = 70126; --Willy Wilder
	AL["Wulon"] = 63510; --Wulon
	AL["Yorik Occhio Arguto"] = 50336; --Yorik Sharpeye
	AL["Yul Zampa Furente"] = 50820; --Yul Wildpaw
	AL["Zai l'Esiliato"] = 50769; --Zai the Outcast
	AL["Araldo della Guerra Zandalari"] = 69769; --Zandalari Warbringer cian
	AL["Araldo della Guerra Zandalari"] = 69842; --Zandalari Warbringer gray
	AL["Araldo della Guerra Zandalari"] = 69841; --Zandalari Warbringer silver
	AL["Esploratore da Guerra Zandalari"] = 69768; --Zandalari Warscout
	AL["Zao'cho"] = 69843; --Zao'cho
	AL["Zesqua"] = 72245; --Zesqua
	AL["Zhu-Gon l'Acre"] = 71919; --Zhu-Gon the Sour
	
	-- Rares Draenor
	AL["Amaukwa"] = 77140; --Amaukwa
	AL["Maestro di Spade Antico"] = 82899; --Ancient Blademaster
	AL["Aqualir"] = 86213; --Aqualir
	AL["Avatar di Socrethar"] = 88043; --Avatar of Socrethar
	AL["Ba'ruun"] = 82326; --Ba'ruun
	AL["Bahamocchio"] = 81406; --Bahameye
	AL["Bashiok"] = 82085; --Bashiok
	AL["Squartabestie Saramor"] = 78150; --Beastcarver Saramor
	AL["Betsi Scoppiacesti"] = 84887; --Betsi Boombasket
	AL["Danzatore delle Lame Aeryx"] = 80614; --Blade-Dancer Aeryx
	AL["Luminfetto"] = 84856; --Blightglow
	AL["Fili il Re dei Rovi"] = 81639; --Brambleking Fili
	AL["Senzafiato"] = 78867; --Breathless
	AL["Brutag Lamatetra"] = 87234; --Brutag Grimblade
	AL["Madre della Stirpegelida"] = 71721; --Canyon Icemother
	AL["Char l'Infuocato"] = 82311; --Char the Burning
	AL["Zannepolari"] = 80242; --Chillfang
	AL["Ardifauci"] = 72294; --Cindermaw
	AL["Oratore delle Nubi Daber"] = 78169; --Cloudspeaker Daber
	AL["Passofreddo l'Afflitto"] = 77513; --Coldstomp the Griever
	AL["Zannafredda"] = 76914; --Coldtusk
	AL["Cro Tranciacarne"] = 77620; --Cro Fleshrender
	AL["Furia Ciclonica"] = 78621; --Cyclonic Fury
	AL["Emanazione Oscura"] = 77085; --Dark Emanation
	AL["Maestro Oscuro Go'vid"] = 82268; --Darkmaster Go'vid
	AL["Artigliocupo"] = 82411; --Darktalon
	AL["Kizi Colpoletale"] = 77763; --Deadshot Kizi
	AL["Ceppofondo"] = 82058; --Depthroot
	AL["Zoccolotruce"] = 86729; --Direhoof
	AL["Dottor Tenebra"] = 77561; --Dr. Gloom
	AL["Durkath Fauciferree"] = 84807; --Durkath Steelmaw
	AL["Elementalista Utrah"] = 77768; --Elementalist Utrah
	AL["Enavra"] = 82676; --Enavra
	AL["Enavra"] = 82742; --Enavra
	AL["Alafatata"] = 82207; --Faebright
	AL["Zannaron"] = 82975; --Fangler
	AL["Vilcorteccia"] = 80204; --Felbark
	AL["Consorte del Vilfuoco"] = 82992; --Felfire Consort
	AL["Putrifoglia"] = 84890; --Festerbloom
	AL["Gigante di Fuocofuria"] = 74971; --Firefury Giant
	AL["Piromane Grash"] = 88580; --Firestarter Grash
	AL["Ardimanto"] = 83483; --Flinthide
	AL["Matrona della Forgia Targa"] = 77648; --Forge Matron Targa
	AL["Fossilegno il Pietrificato"] = 85250; --Fossilwood the Petrified
	AL["Golem Frenetico"] = 77614; --Frenzied Golem
	AL["Galzomar"] = 78713; --Galzomar
	AL["Gar'lua"] = 82764; --Gar'lua
	AL["Garrison Ford"] = 86058; --Garrison Ford
	AL["Gelgor della Fiamma Blu"] = 81038; --Gelgor of the Blue Flame
	AL["Generale Aevd"] = 82882; --General Aevd
	AL["Gennadian"] = 80471; --Gennadian
	AL["Kul lo Sterminatore di Giganti"] = 71665; --Giant-Slayer Kul
	AL["Ammazzagiganti Kimla"] = 78144; --Giantslayer Kimla
	AL["Alalucente"] = 77719; --Glimmerwing
	AL["Glut"] = 80868; --Glut
	AL["Zampatorta il Rabbioso"] = 82778; --Gnarlhoof the Rabid
	AL["Gorum"] = 76380; --Gorum
	AL["Gran Maresciallo Fremilama"] = 82876; --Grand Marshal Tremblade
	AL["Piumaregale"] = 82758; --Greatfeather
	AL["Greldrok l'Astuto"] = 84431; --Greldrok the Cunning
	AL["Faucebigia"] = 82912; --Grizzlemaw
	AL["Cacciagronn Dawarn"] = 78128; --Gronnstalker Dawarn
	AL["Custode del Bosco Yal"] = 88583; --Grove Warden Yal
	AL["Grutush lo Sciacallo"] = 80312; --Grutush the Pillager
	AL["Gruuk"] = 80190; --Gruuk
	AL["Gurun"] = 80235; --Gurun
	AL["Haakun il Divoramondi"] = 83008; --Haakun the All-Consuming
	AL["Schioccadenti"] = 77715; --Hammertooth
	AL["Madre degli Uccelli Hami"] = 77626; --Hen-Mother Hami
	AL["Mantopallido l'Eremita"] = 86724; --Hermit Palefur
	AL["Gran Signore della Guerra Volrath"] = 82877; --High Warlord Volrath
	AL["Cacciatrice Bal'ra"] = 88672; --Hunter Bal'ra
	AL["Cacciatore Dentenero"] = 83603; --Hunter Blacktooth
	AL["Mastro Cacciatore Kuang"] = 78151; --Huntmaster Kuang
	AL["Iperius"] = 78161; --Hyperious
	AL["Insha'tar"] = 83553; --Insha'tar
	AL["Fremifauci"] = 82616; --Jabberjaw
	AL["Jaluk il Pacifista"] = 87600; --Jaluk the Pacifist
	AL["Jiasska il Divoratore di Spore"] = 84955; --Jiasska the Sporegorger
	AL["Kalos l'Insanguinato"] = 84810; --Kalos the Bloodbathed
	AL["Karosh Ventonero"] = 86959; --Karosh Blackwind
	AL["Kharazos il Trionfante"] = 78710; --Kharazos the Triumphant
	AL["Mordimorte"] = 74206; --Killmaw
	AL["Klikixx"] = 78872; --Klikixx
	AL["Ku'targ il Veggente del Vuoto"] = 72362; --Ku'targ the Voidseer
	AL["Dama Tentessa"] = 85121; --Lady Temptessa
	AL["Chiromante delle Foglie Kurri"] = 72537; --Leaf-Reader Kurri
	AL["Lo'marg Schiantafauci"] = 77784; --Lo'marg Jawcrusher
	AL["Sire Korinak"] = 82920; --Lord Korinak
	AL["Sporeon il \"Re\" Folle"] = 77310; --Mad "King" Sporeon
	AL["Malroc Sfregiapietre"] = 83643; --Malroc Stonesunder
	AL["Mandrakor"] = 84406; --Mandrakor
	AL["Maresciallo Gabriel"] = 82878; --Marshal Gabriel
	AL["Maresciallo Karsh Forgiatuono"] = 82880; --Marshal Karsh Stormforge
	AL["Matrona del Peccato"] = 82998; --Matron of Sin
	AL["Torcianime Morva"] = 82362; --Morva Soultwister
	AL["Madre Araneae"] = 76473; --Mother Araneae
	AL["Madre Om'ra"] = 75071; --Mother Om'ra
	AL["Mutafen"] = 84417; --Mutafen
	AL["Nas Dunberlin"] = 82247; --Nas Dunberlin
	AL["No'losh"] = 79334; --No'losh
	AL["Ophiis"] = 83409; --Ophiis
	AL["Oskiira la Vendicativa"] = 84872; --Oskiira the Vengeful
	AL["Perlustratrice Duretha"] = 83680; --Outrider Duretha
	AL["Pescatore Pallido"] = 78606; --Pale Fishmonger
	AL["Ricognitore Jalog"] = 78134; --Pathfinder Jalog
	AL["Calcapiste Draga"] = 77095; --Pathstalker Draga
	AL["Bestia della Fossa"] = 88208; --Pit Beast
	AL["Maestro dei Veleni Bortusk"] = 84838; --Poisonmaster Bortusk
	AL["Primalista Mur'og"] = 76918; --Primalist Mur'og
	AL["Maga Ardente Zindra"] = 77642; --Pyrecaster Zindra
	AL["Ra'kahn"] = 77741; --Ra'kahn
	AL["Ragore Seguicreste"] = 84392; --Ragore Driftstalker
	AL["Rai'vosh"] = 82374; --Rai'vosh
	AL["Zamparossa il Ferino"] = 82755; --Redclaw the Feral
	AL["Fungomarcio"] = 85504; --Rotcap
	AL["Sangrikass"] = 84833; --Sangrikass
	AL["Esploratore Bramasangue"] = 77526; --Scout Goreseeker
	AL["Sean Marbianco"] = 83542; --Sean Whitesea
	AL["Scorzacupa"] = 79938; --Shadowbark
	AL["Shinri"] = 82415; --Shinri
	AL["Sikthiss la Dama del Massacro"] = 78715; --Sikthiss, Maiden of Slaughter
	AL["Antico Fogliargenta"] = 79686; --Silverleaf Ancient
	AL["Antico Fogliargenta"] = 79693; --Silverleaf Ancient
	AL["Antico Fogliargenta"] = 79692; --Silverleaf Ancient
	AL["Amplificatore Solare"] = 83990; --Solar Magnifier
	AL["Zannaspiritica"] = 80057; --Soulfang
	AL["Zannacciaio"] = 86549; --Steeltusk
	AL["Pestatore Kreego"] = 79629; --Stomper Kreego
	AL["Scrutaroccia"] = 84805; --Stonespite
	AL["Sulfurion"] = 80725; --Sulfurious
	AL["Solartiglio"] = 86137; --Sunclaw
	AL["Fendispina"] = 84912; --Sunderthorn
	AL["Sciamafoglia"] = 85520; --Swarmleaf
	AL["Scorticatore d'Onice Rapido"] = 88582; --Swift Onyx Flayer
	AL["Spezzartigli"] = 84836; --Talonbreaker
	AL["Sacerdotessa dell'Artiglio Zorkra"] = 79485; --Talonpriest Zorkra
	AL["Tesska l'Infranto"] = 84775; --Tesska the Broken
	AL["Il Picchiatore"] = 77527; --The Beater
	AL["Tor'goroth"] = 82618; --Tor'goroth
	AL["Tura'aka"] = 83591; --Tura'aka
	AL["Varasha"] = 82050; --Varasha
	AL["Veloss"] = 75482; --Veloss
	AL["Razziatrice del Vuoto Urnae"] = 85078; --Voidreaver Urnae
	AL["Veggente del Vuoto Kalurg"] = 83385; --Voidseer Kalurg
	AL["Vulceros"] = 77926; --Vulceros
	AL["Vendicatore Errante"] = 77776; --Wandering Vindicator
	AL["Mago da Guerra Bargol"] = 78733; --Warcaster Bargol
	AL["Maestro di Guerra Blugthol"] = 79024; --Warmaster Blugthol
	AL["Matriarca Zannariosa"] = 75434; --Windfang Matriarch
	AL["Xothear il Distruttore"] = 82922; --Xothear, the Destroyer
	AL["Yaga la Sfregiata"] = 79145; --Yaga the Scarred
	AL["Yazheera la Crematrice"] = 77529; --Yazheera the Incinerator
	AL["Yggdrel"] = 75435; --Yggdrel
end